Skip to main content
POST
/
api-tokens
/
verify
Verifies if an API token is valid and returns its metadata
curl --request POST \
  --url https://api.zippendo.com/api-tokens/verify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "token": "<string>"
}
'
{
  "valid": true,
  "tokenId": "<string>",
  "userId": "<string>",
  "orgId": "<string>",
  "scopes": [
    "<string>"
  ],
  "expiresAt": "<string>"
}

Authorizations

Authorization
string
header
required

JWT access token or API token (prefixed with zipp_)

Body

application/json
token
string
required

The API token to verify

Response

200 - application/json

Default Response

valid
boolean
required
tokenId
string
userId
string
orgId
string
scopes
string[]
expiresAt
string | null